/**
 * Event arguments for the
 * editModeExited event.
*/
var IgxSpreadsheetEditModeExitedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxSpreadsheetEditModeExitedEventArgs() {
    }
    Object.defineProperty(IgxSpreadsheetEditModeExitedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxSpreadsheetEditModeExitedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxSpreadsheetEditModeExitedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxSpreadsheetEditModeExitedEventArgs.prototype, "cell", {
        /**
         * Returns the cell for which the control has exitied edit mode.
        */
        get: function () {
            return this.i.cell;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetEditModeExitedEventArgs;
}());
export { IgxSpreadsheetEditModeExitedEventArgs };
